<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Tenoco Meet</title>
  <style>
    body {
      background-color: #ffe66d;
      font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }

    h1 {
      color: #fff;
      font-size: 4em;
      text-shadow: #0a1f22 1px 1px 1px;
      margin-bottom: 72px;
    }

    .container {
      color: #0a1f22;
      margin: auto;
      padding: 42px;
      text-align: center;
      max-width: 500px;
      font-weight: bold;
    }

    p {
      letter-spacing: 1px;
      line-height: 1.5em;
    }

    form {
      margin-top: 48px;;
    }

    input {
      padding: 18px;
      font-size: 1.2em;
      border-radius: 3px;
      border: none;
      margin: 5px;
      max-width: 80%;
      background-color: #fff;
      color:#0a1f22;
    }

    input[type=submit] {
      background-color: #0a1f22;
      color: #fff;
      cursor: pointer;
    }

    a {
      color: #0a1f22;
      text-decoration: underline;
    }

    footer {
      margin-top: 48px;
      font-size: 0.8em;
      font-weight: normal;
    }

    @media screen and (max-width: 700px) {
      h1 {
        font-size: 2.5em;
        margin-bottom: 36px;
      }

      p {
        letter-spacing: 0.5px;
        line-height: 1.2em;
      }

      input {
        padding: 8px;
        font-size: 1em;
      }
    }
  </style>


  <!-- Matomo -->
  <script type="text/javascript">
    var _paq = window._paq = window._paq || [];
    /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
    _paq.push(['trackPageView']);
    _paq.push(['enableLinkTracking']);
    (function() {
      var u="https://analytics.connecteu.rs/";
      _paq.push(['setTrackerUrl', u+'matomo.php']);
      _paq.push(['setSiteId', '3']);
      var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
      g.type='text/javascript'; g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
    })();
  </script>
  <!-- End Matomo Code -->
</head>
<body>
  <div class="container">
    <h1>Tenoco Meet</h1>

    <p>Vous avez besoin d'organiser une visioconférence&nbsp;?<br>
    Créez un salon et partagez le lien avec toutes les personnes que vous souhaitez inviter.<br>
    Ces personnes n'auront pas besoin de se créer un compte Tenoco pour participer.</p>

    <form id="form" method="GET" action="index.html">
      <input id="room-name" name="room" type="text" placeholder="Nom du salon…" />
      <input type="submit" value="C'est parti !" />
    </form>

    <footer>
      Ce service vous est proposé par <a href="https://tenoco.net/" target="_blank" rel="noreferrer noopener">Tenoco</a>.
      <a href="https://docs.tenoco.net/meet/about" target="_blank" rel="noreferrer noopener">Besoin d'aide&nbsp;?</a>
    </footer>
  </div>

  <script type="text/javascript">
    const rootUrl = 'https://meet.tenoco.net/';
    const redirectToRoom = (roomName) => {
      window.location.href = `${rootUrl}${roomName}`;
    }

    const generateRandomName = () => {
      const randomNumber = Math.round(Math.random() * 1000000);
      return `salon-${randomNumber}`;
    }

    const roomNameInput = document.getElementById('room-name');
    roomNameInput.value = generateRandomName();
    roomNameInput.focus();

    const urlParams = new URLSearchParams(window.location.search);
    if (urlParams.has('room')) {
      const roomNameParam = urlParams.get('room');
      roomNameInput.value = roomNameParam;
    }

    const form = document.getElementById('form');
    form.addEventListener('submit', (e) => {
      e.preventDefault(e);

      let choosedRoom = roomNameInput.value;
      if (!choosedRoom) {
        choosedRoom = generateRandomName();
      }
      redirectToRoom(choosedRoom);
    });
  </script>
</body>
</html>
